> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usemoonshine.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Account Information

> Returns account information for a given user ID



## OpenAPI

````yaml GET /account-info
openapi: 3.0.1
info:
  title: Moonshine API
  description: Video Understanding API
  version: 1.0.0
servers:
  - url: https://api.usemoonshine.com
security: []
paths:
  /account-info:
    get:
      description: Returns account information for a given user ID
      parameters:
        - name: userid
          in: query
          description: The user ID to fetch account information for
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Account information response
          content:
            application/json:
              schema:
                type: object
                properties:
                  user_id:
                    type: string
                    description: User's unique identifier
                  email:
                    type: string
                    description: User's email address
                  total-seconds-uploaded:
                    type: integer
                    description: Total seconds of video uploaded
                  pending-seconds-uploaded:
                    type: integer
                    description: Seconds of video pending processing
                  number-of-queries:
                    type: integer
                    description: Number of queries made
                  balance:
                    type: number
                    format: float
                    description: Account balance
                  payment-history:
                    type: array
                    description: History of payments
                    items:
                      type: object
                  tokens:
                    type: array
                    description: User tokens
                    items:
                      type: object
        '400':
          description: Bad request - invalid user ID
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string

````